#include <avr/io.h>
#include "spi.h"

void InitSPI(void){
	
    SPI_PORT |= (1<<DD_SS) | (1<<DD_MISO);
    SPI_DDR &= ~ (1<<DD_MISO); 
    SPI_DDR |= (1<<DD_MOSI) | (1<<DD_SCK) | (1<<DD_SS); 
    //nastavenie funkcneho registra SPI (SPCR), CPHA a CPOL v log 0
    SPCR    |= (1<<SPE) | (1<<MSTR) | (1<<SPR1); 
    SPCR &= ~ (1<<DORD);

}

void WriteByteSPI(unsigned char byte){
		
    SPDR = byte;					//Nahraj bajt do SPI dátového registra
    while(!(SPSR & (1<<SPIF))); 	// Cakaj na ukoncenie prenosu
}

unsigned char ReadByteSPI(void)
{
	SPDR = 0xFF;					//Nahraj bajt do dátového registra
	while(!(SPSR & (1<<SPIF))); 	// Cakaj na ukoncenie prenosu
	return SPDR;                // navratova hodnota - prijate data
}
